Not for Thunderbird 3 Rated 1 out of 5 stars

Although it says "Works with Thunderbird: 1.0+ – 3.0b2pre", it certainly does not work with Thunderbird 3.

Error message saying it is not compatible.